Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libICE runtime library
Name: 		libICE
Version: 	1.0.7
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	i686

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:  xorg-x11-xtrans-devel
Obsoletes: 	xorg-libs xorg-ice

#Automatically resolved build dependencies
BuildRequires: glibc-devel

%description
X.Org X11 libICE runtime library

%package devel
Summary: 	X.Org X11 libICE development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libICE development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
       --disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libICE.so.6
%{_libdir}/libICE.so.6.*

%files devel
%{_includedir}/X11/ICE/
%if %{with_static}
%{_libdir}/libICE.a
%endif
%{_libdir}/libICE.so
%{_libdir}/pkgconfig/ice.pc
%{_docdir}/libICE/ICElib.xml
%{_docdir}/libICE/ice.xml

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.7-1
- version update
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-2
- rebuilt
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.6-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-3
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-2
- rebuilt
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.5-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.4-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.4-1
- Version update
* Sun Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- Version update
* Mon Sep 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-2
- adjusted obsoletes
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
